<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head>    <body>
        <table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
      <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
    
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="treemap.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




    <tr><td class="hbreak" colspan="1" align="center">

        <div class="tags roundedLarge">
        <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;" align="center">
        <br/>

        <div style="width:1000px; text-align:left;">
            <label class="titleText" onkeyup="return help_treemap;">
                Coverage Tree Map
            </label>

            <p>
                This is a hierarchical view of the entire project's code coverage.
                The size of each square is proportional to the number of elements in the node.
                The color indicates the percentage of code that is covered.
            </p>

            <div id="infovis">

                <div id="treemap-loader" style="position:relative">
                    <p>
                        Generating Coverage Tree Map. Please wait...
                    </p>

                    <p>
                        <img src="img/ajax-loader.gif" alt="Loading Treemap"/>
                    </p>
                </div>

            </div>
        </div>


    </div>
    <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
    </div>

    </td></tr>

    <tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

        <tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr>    </table>
    <script type="text/javascript" src="jit.js" ></script>
    <script type="text/javascript" src="treemap-json.js" ></script>       
  </body>
</html>